<?php
/*
 * Plugin Name: CoolIris-Piclens
 * Version: 0.3.3
 * Description: Cooliris/Piclens activation
 * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
 * Author: Tiico
 * Author URI: 
 * */
/********* Fichier piclenswallconfig.php  *********/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template, $page;
 
$pwgstuff_ok = get_db_plugins('active','PWG_Stuffs');
$me = get_plugin_data($plugin_id);

 $template->set_filenames( array('plugin_admin_content' => PICLENS_ROOT.'/admin/piclenswallconfig.tpl') );


if (isset($_POST['submit'])) { 
  $me->my_config['piclens_wall'] = isset($_POST['piclens_wall']);
  $me->my_config['piclens_wall_color'] =   $_POST['background_color'];
  $me->my_config['piclens_wall_height'] =   $_POST['piclens_wall_height'];
  $me->my_config['piclens_wall_categories'] = isset($_POST['categories']) ? 
                          array_map("mysql_escape_string", $_POST['categories']) :
                          array(); 
  $me->my_config['piclens_wall_nav'] = isset($_POST['piclens_wall_nav']);
  $me->my_config['piclens_wall_cat_nav_replace'] = isset($_POST['categories_nav']) ? 
                          array_map("mysql_escape_string", $_POST['categories_nav']) :
                          array(); 
  $me->my_config['piclens_wall_specif'] =   $_POST['piclens_wall_specif'];
  $me->my_config['piclens_wall_ontop'] = isset($_POST['piclens_wall_ontop']);  
  $me->my_config['piclens_wall_oncat'] = isset($_POST['piclens_wall_oncat']); 
  $me->my_config['piclens_wall_showembed'] = isset($_POST['piclens_wall_embed']);
  $me->my_config['piclens_wall_showfullscreen'] = isset($_POST['piclens_wall_fullscreen']);
  $me->my_config['piclens_wall_showsearch'] = isset($_POST['piclens_wall_search']);
  $me->my_config['piclens_wall_showsearch'] = isset($_POST['piclens_wall_search']);
  $me->my_config['piclens_wall_transparent'] =   isset($_POST['piclens_wall_transparent']);

  $me->my_config['piclens_wall_spec'] = isset($_POST['piclens_wall_spec']);
  $me->my_config['piclens_wall_spec_recentpics'] = isset($_POST['piclens_wall_spec_recentpics']);
  $me->my_config['piclens_wall_spec_recentcats'] = isset($_POST['piclens_wall_spec_recentcats']);
  $me->my_config['piclens_wall_spec_mostvisited'] = isset($_POST['piclens_wall_spec_mostvisited']);
  $me->my_config['piclens_wall_spec_bestrated'] = isset($_POST['piclens_wall_spec_bestrated']);
  $me->my_config['piclens_wall_spec_favorites'] = isset($_POST['piclens_wall_spec_favorites']);

  $me->my_config['piclens_wall_swflocal'] = isset($_POST['piclens_wall_swflocal']);
  
  if ($pwgstuff_ok && $me->my_config['piclens_wall'])
  {
	array_push($page['errors'], l10n('piclens_admin_saveERR4'));
	$me->my_config['piclens_wall'] = false;
  }

  $me->save_config();
  array_push($page['infos'], l10n('piclens_admin_saveOK'));
	
}


// Copie fichier crossdomain a la racine
$filename = $_SERVER['DOCUMENT_ROOT'].'/crossdomain.xml';
// copie du fichier crossdomain.xml
if (isset($_POST['crossdomain_copy']))
{
	include_once(PICLENS_ADMIN_PATH . '/piclens_copy.php');
}

//$template->assign('PICLENS_COPY_CROSSDOMAIN', file_exists($filename) ? l10n('piclens_label_crossdomain1') : '<input type="checkbox" name="crossdomain_copy" /> '.l10n('piclens_label_crossdomain2'));

//$template->assign('PICLENS_COPY_CROSSDOMAIN', file_exists($filename));

//$template->assign('PICLENS_PWGSTUFF', $pwgstuff_ok ? 'disabled="disabled"' : '');
//$template->assign('PICLENS_PWGSTUFF1', $pwgstuff_ok ? l10n('piclens_label_pwgstuff1'): l10n('piclens_label_pwgstuff2'));

//$template->assign('PICLENS_WALL_ACTIVATED', $me->my_config['piclens_wall'] ? 'checked="checked"' : '' );

//$template->assign(array($me->my_config['piclens_wall_color'].'_CHECKED' => 'checked="checked"'));
//$template->assign(array($me->my_config['piclens_wall_specif'].'_CHECKED' => 'checked="checked"'));
//$template->assign(array('PICLENS_WALL_HEIGHT' => $me->my_config['piclens_wall_height']));

//$template->assign('CROSSDOMAIN_LNK', PICLENS_PATH.'crossdomain.xml');

$query = '
  SELECT id,name,uppercats,global_rank
  FROM '.CATEGORIES_TABLE.';';

display_select_cat_wrapper($query,
    $me->my_config['piclens_wall_categories'],
    'categories',
    true);

display_select_cat_wrapper($query,
    $me->my_config['piclens_wall_cat_nav_replace'],
    'categories_nav',
    true);
	
//$template->assign('PICLENS_WALL_ONTOP', $me->my_config['piclens_wall_ontop'] ? 'checked="checked"' : '' );
//$template->assign('PICLENS_WALL_ONCAT', $me->my_config['piclens_wall_oncat'] ? 'checked="checked"' : '' );

//$template->assign('PICLENS_WALL_EMBED', $me->my_config['piclens_wall_showembed'] ? 'checked="checked"' : '' );
//$template->assign('PICLENS_WALL_FULLSCREEN', $me->my_config['piclens_wall_showfullscreen'] ? 'checked="checked"' : '' );
//$template->assign('PICLENS_WALL_SEARCH', $me->my_config['piclens_wall_showsearch'] ? 'checked="checked"' : '' );

//$template->assign('PICLENS_WALL_NAV', $me->my_config['piclens_wall_nav'] ? 'checked="checked"' : '' );
//$template->assign('PICLENS_WALL_TITLE', $me->my_config['piclens_wall_title']);

//$template->assign('PICLENS_WALL_SPEC', $me->my_config['piclens_wall_spec'] ? 'checked="checked"' : '' );

//$template->assign('PICLENS_WALL_SPEC', $me->my_config['piclens_wall_spec'] ? 'checked="checked"' : '' );
//$template->assign('PICLENS_WALL_SPEC_RECENTPICS', $me->my_config['piclens_wall_spec_recentpics'] ? 'checked="checked"' : '' );
//$template->assign('PICLENS_WALL_SPEC_RECENTCATS', $me->my_config['piclens_wall_spec_recentcats'] ? 'checked="checked"' : '' );
//$template->assign('PICLENS_WALL_SPEC_MOSTVISITED', $me->my_config['piclens_wall_spec_mostvisited'] ? 'checked="checked"' : '' );
//$template->assign('PICLENS_WALL_SPEC_BESTRATED', $me->my_config['piclens_wall_spec_bestrated'] ? 'checked="checked"' : '' );
//$template->assign('PICLENS_WALL_SPEC_FAVORITES', $me->my_config['piclens_wall_spec_favorites'] ? 'checked="checked"' : '' );

$template->assign(array(
	'PICLENS_COPY_CROSSDOMAIN'							=> file_exists($filename),
	'PICLENS_PWGSTUFF'									=> ($pwgstuff_ok ? 'disabled="disabled"' : ''),
	'PICLENS_PWGSTUFF1'									=> ($pwgstuff_ok ? l10n('piclens_label_pwgstuff1'): l10n('piclens_label_pwgstuff2')),
	'PICLENS_WALL_ACTIVATED'							=> ($me->my_config['piclens_wall'] ? 'checked="checked"' : '' ),
	$me->my_config['piclens_wall_color'].'_CHECKED' 	=> 'checked="checked"',
	$me->my_config['piclens_wall_specif'].'_CHECKED' 	=> 'checked="checked"',
	'PICLENS_WALL_HEIGHT' 								=> $me->my_config['piclens_wall_height'],
	'CROSSDOMAIN_LNK'									=> PICLENS_PATH.'crossdomain.xml',
	'PICLENS_WALL_ONTOP'								=> ($me->my_config['piclens_wall_ontop'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_ONCAT'								=> ($me->my_config['piclens_wall_oncat'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_EMBED'								=> ($me->my_config['piclens_wall_showembed'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_FULLSCREEN'							=> ($me->my_config['piclens_wall_showfullscreen'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SEARCH'								=> ($me->my_config['piclens_wall_showsearch'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_TRANSPARENT'							=> ($me->my_config['piclens_wall_transparent'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_NAV'									=> ($me->my_config['piclens_wall_nav'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_TITLE'								=> $me->my_config['piclens_wall_title'],
	'PICLENS_WALL_SPEC'									=> ($me->my_config['piclens_wall_spec'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SPEC'									=> ($me->my_config['piclens_wall_spec'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SPEC_RECENTPICS'						=> ($me->my_config['piclens_wall_spec_recentpics'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SPEC_RECENTCATS'						=> ($me->my_config['piclens_wall_spec_recentcats'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SPEC_MOSTVISITED'						=> ($me->my_config['piclens_wall_spec_mostvisited'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SPEC_BESTRATED'						=> ($me->my_config['piclens_wall_spec_bestrated'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SPEC_FAVORITES'						=> ($me->my_config['piclens_wall_spec_favorites'] ? 'checked="checked"' : '' ),
	'PICLENS_WALL_SWFLOCAL'								=> ($me->my_config['piclens_wall_swflocal'] ? 'checked="checked"' : '' )
	));


$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');

?>
